Do not miss any Atlas Agent Engine API changes, ever again

Subscribe to the Atlas Agent Engine API changelog to be up to date on recent changes.

RSS

Aug 10, 2026

main
1.0
Compare

API structure has changed

6 structure changes including:
6 Modifications
Modified 6
GET /api/v1/orgs/{orgId}/projects
  • Response
  • 200 response Modified
    • application/json content type Modified
      • projects property Modified
        • can_manage_deployments property Added
GET /api/v1/projects/{id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • can_manage_deployments property Added
GET /api/v1/projects/{id}/deployments/{deployment_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • source_build_id, source_project_id, source_promotion_id, source_workspace_id properties Added
GET /api/v1/projects/{id}/workspaces/{workspace_id}/deployments
  • Response
  • 200 response Modified
    • application/json content type Modified
      • deployments property Modified
        • source_build_id, source_project_id, source_promotion_id, source_workspace_id properties Added
POST /api/v1/orgs/{orgId}/projects
  • Response
  • 201 response Modified
    • application/json content type Modified
      • can_manage_deployments property Added
PUT /api/v1/projects/{id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • can_manage_deployments property Added